Unable to enable device

Support questions about the MAC Track plugin

Moderators: Moderators, Developers

Post Reply
Author
Message
aernan
Posts: 1
Joined: Mon Oct 08, 2018 4:36 pm

Unable to enable device

#1 Post by aernan » Mon Oct 08, 2018 6:17 pm

I'm having some trouble with a new/fresh install.

Some background: I had an ubuntu 14.04 with cacti working then I wanted this plugin so I updated the OS from 14.04 -> 16.04 then again to 18.04. After enabling php 7.2 everything seems to be working as it once was and on to getting the plugin to work.

- I git cloned the repo into the plugins folder and copied it's contents to mactrack.
- in the cacti gui enabled plugin
- added a site inside mactrack
- found and imported/migrated existing working cisco 3750 device into mactrack, added to new site
- added a device type for the new device

When I look at the device it has status "unkonwn". It has device type "not detected".
When I look at tracking tools -> view device tracking process status:
-- device tracking poller is: DISABLED
-- last time poller started: ""

In my /var/log/cacti/cacti.log there are some errors for PHP WARNING: sizeof(): Parameter must be .. ../usr/shar/cacti/site/lib/utility.php on line 541

For some odd reason my company is filtering the account creation email so this is on my personal email. I can't copy paste data over so I will need to hand transpose things.

netniV
Cacti Guru User
Posts: 2682
Joined: Sun Aug 27, 2017 12:05 am

Re: Unable to enable device

#2 Post by netniV » Tue Oct 09, 2018 6:13 am

OK, first thing, anything less than Cacti 1.2 (which is about to hit beta state) is unsupported on PHP 7.2 as there are breaking changes in that version of PHP. If you can drop to 7.1 or below you should be find the warnings go away.

Post Reply